msgpack::adaptor::object_with_zone< msgpack::object > Struct Template Reference

`#include <object.hpp>`

## Public Member Functions

void | operator() (msgpack::object::with_zone &o, msgpack::object const &v) const

## Member Function Documentation

## operator()()

void msgpack::adaptor::object_with_zone< msgpack::object >::operator() | ( | msgpack::object::with_zone & | o,
|  | msgpack::object const & | v
| ) |  | const

inline

References msgpack::type::ARRAY, msgpack::object::union_type::array, msgpack::object::as(), msgpack::type::BIN, msgpack::type::BOOLEAN, msgpack::type::EXT, msgpack::type::FLOAT32, msgpack::type::FLOAT64, msgpack::type::MAP, MSGPACK_ZONE_ALIGNOF, msgpack::type::NEGATIVE_INTEGER, msgpack::type::NIL, msgpack::object_parser::parse(), msgpack::type::POSITIVE_INTEGER, msgpack::object_array::size, msgpack::type::size(), msgpack::type::STR, msgpack::object::via, and v2::object::with_zone::zone.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/object.hpp